Bug 1276676 - Red Hat Insights Proxy for CFME throws exception when creating report subsets
Summary: Red Hat Insights Proxy for CFME throws exception when creating report subsets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: RH Cloud - Insights
Version: 6.1.3
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Lindani Phiri
QA Contact: Anisha Narang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-30 13:14 UTC by Lindani Phiri
Modified: 2019-06-13 21:25 UTC (History)
3 users (show)

Fixed In Version: rubygem-foreman-redhat_access-0.2.4-1, rubygem-redhat_access_lib-0.0.6-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-15 09:20:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2622 0 normal SHIPPED_LIVE Moderate: Satellite 6.1.5 bug fix update 2015-12-15 14:17:45 UTC

Description Lindani Phiri 2015-10-30 13:14:08 UTC
Description of problem:
A CloudForms appliance registered to a Satellite should be able to use Satellite as a proxy to get Insights reports and registered system lists.
This does not work as ( a HTTP 400 bad request is returned when attempting to create a report subset).

Comment 4 Anisha Narang 2015-12-08 15:15:23 UTC
Can view the registered system lists and Insights reports on a Cloudforms appliance registered to a satellite, satellite is behaving as a proxy.

Verified with redhat-access-insights client rpm version: 1.0.5 on rhel 67 machine,
http://download.devel.redhat.com/brewroot/packages/ruby193-rubygem-foreman-redhat_access/0.2.4/1.el7sat/noarch/ruby193-rubygem-foreman-redhat_access-0.2.4-1.el7sat.noarch.rpm
http://download.devel.redhat.com/brewroot/packages/ruby193-rubygem-redhat_access_lib/0.0.6/1.el7sat/noarch/ruby193-rubygem-redhat_access_lib-0.0.6-1.el7sat.noarch.rpm

Comment 6 errata-xmlrpc 2015-12-15 09:20:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2622


Note You need to log in before you can comment on or make changes to this bug.